मुख्य सामग्री पर जाएं
GET
/
2
/
spaces
/
search
Spaces खोजें
curl --request GET \
  --url https://api.x.com/2/spaces/search \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1SLjjRYNejbKM",
      "state": "live",
      "created_at": "2021-07-06T18:40:40.000Z",
      "creator_id": "2244994945",
      "ended_at": "2021-07-06T18:40:40.000Z",
      "host_ids": [
        "2244994945"
      ],
      "invited_user_ids": [
        "2244994945"
      ],
      "is_ticketed": "false",
      "lang": "en",
      "participant_count": 10,
      "scheduled_start": "2021-07-06T18:40:40.000Z",
      "speaker_ids": [
        "2244994945"
      ],
      "started_at": "2021-7-14T04:35:55Z",
      "subscriber_count": 10,
      "title": "Spaces are Awesome",
      "topics": [
        {
          "description": "प्रौद्योगिकी के बारे में सब कुछ",
          "id": "848920371311001600",
          "name": "Technology"
        }
      ],
      "updated_at": "2021-7-14T04:35:55Z"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "result_count": 123
  }
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

क्वेरी पैरामीटर

query
string
आवश्यक

खोज क्वेरी।

Required string length: 1 - 2048
उदाहरण:

"crypto"

state
enum<string>
डिफ़ॉल्ट:all

खोजे जाने वाले Spaces की स्थिति।

उपलब्ध विकल्प:
live,
scheduled,
all
max_results
integer<int32>
डिफ़ॉल्ट:100

लौटाए जाने वाले परिणामों की संख्या।

आवश्यक सीमा: 1 <= x <= 100
space.fields
enum<string>[]

प्रदर्शित करने के लिए Space फ़ील्ड्स की अल्पविराम-से-अलग सूची। Space ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
created_at,
creator_id,
ended_at,
host_ids,
id,
invited_user_ids,
is_ticketed,
lang,
participant_count,
scheduled_start,
speaker_ids,
started_at,
state,
subscriber_count,
title,
topic_ids,
updated_at
उदाहरण:
[
"created_at",
"creator_id",
"ended_at",
"host_ids",
"id",
"invited_user_ids",
"is_ticketed",
"lang",
"participant_count",
"scheduled_start",
"speaker_ids",
"started_at",
"state",
"subscriber_count",
"title",
"topic_ids",
"updated_at"
]
expansions
enum<string>[]

विस्तारित करने के लिए फ़ील्ड्स की अल्पविराम-से-अलग सूची। Space ऑब्जेक्ट के लिए उन फ़ील्ड्स की सूची जिन्हें आप विस्तारित कर सकते हैं। यदि फ़ील्ड में कोई ID है, तो उसे पूर्ण ऑब्जेक्ट में विस्तारित किया जा सकता है।

Minimum array length: 1
उपलब्ध विकल्प:
creator_id,
host_ids,
invited_user_ids,
speaker_ids,
topic_ids
उदाहरण:
[
"creator_id",
"host_ids",
"invited_user_ids",
"speaker_ids",
"topic_ids"
]
user.fields
enum<string>[]

दिखाने के लिए User फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
उदाहरण:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
topic.fields
enum<string>[]

प्रदर्शित करने के लिए Topic फ़ील्ड्स की अल्पविराम-से-अलग सूची। Topic ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
description,
id,
name
उदाहरण:
["description", "id", "name"]

प्रतिक्रिया

अनुरोध सफल रहा है।

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

includes
object
meta
object